<template>
    <div :class="openShowModal ? 'openCatalog menu' : 'defaultCatalog menu'">
        <div class="modal-title">
            <h5>Добавить</h5>
            <button uk-icon="close" @click="$emit('openModal')" />
        </div>

        <form @submit.prevent="onSubmit">
            <div class="modal-body">
                <div class="uk-margin">
                    <label for="form-stacked-text">Name RU</label>
                    <div class="uk-form-controls" v-if="modalValue">
                        <input class="uk-input" id="form-stacked-text" type="text" v-model="modalValue.ru">
                    </div>
                </div>
                <div class="uk-margin">
                    <label class="uk-form-label" for="form-stacked-text">Name UZ</label>
                    <div class="uk-form-controls" v-if="modalValue">
                        <input class="uk-input" id="form-stacked-text" type="text" v-model="modalValue.uz">
                    </div>
                </div>

                <div class="uk-margin">
                    <label class="uk-form-label" for="form-stacked-text">Name CYR</label>
                    <div class="uk-form-controls" v-if="modalValue">
                        <input class="uk-input" id="form-stacked-text" type="text" v-model="modalValue.cryl">
                    </div>
                </div>
            </div>

            <div class="modal-footer">
                <!-- <button @click="$emit('openModal')" class="btn-danger">
                    Отменить
                </button> -->
                <button type="submit" class="btn-primary" @click="$emit('openModal')">
                    Сохранить
                </button>
            </div>
        </form>
    </div>
    <div :class="openShowModal ? 'black__shadow' : ''" @click="$emit('openModal')" />
</template>

<script setup>
import { ref, watch } from "vue";
import '@/assets/modal.css'

const props = defineProps({
    openShowModal: {
        type: Boolean,
        default: () => false
    },
    modalValue: {
        type: Object,
        default: () => {
        }
    }
})
const emit = defineEmits(['refresh', 'openModal'])

const product = ref('')

const onSubmit = async () => {

}

watch(() => props.openShowModal, function () {
    if (props.openShowModal || props.modalValue?.id) {

        // product.value = JSON.parse(JSON.stringify(props.modalValue))
    } else {
        product.value = ''
    }
},
    { deep: true }
);
</script>
